## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class CSSIdType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.CSSIdType

All Implemented Interfaces:
  IMetaDataEnabledFeature, ITypeDescriptor

    public class CSSIdType

extends AbstractRootTypeDescriptor
implements IMetaDataEnabledFeature

Represents CSS id attribute type EXPERIMENTAL - may change or disappear

Constructor Summary
`CSSIdType()` Constructor

Method Summary

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Constructor Detail

### CSSIdType

    public CSSIdType()

  Constructor